### Method

# ECal Component set_descriptions

since: 3.34

#### Declaration [src]

    void
    e_cal_component_set_descriptions (
      ECalComponent* comp,
      const GSList* text_list
    )

#### Description [src]

Sets the description of a calendar component object. Journal components may have more than one description, and as such this function takes in a list of `ECalComponentText` structures. All other types of components can have at most one description.

Available since: 3.34

#### Parameters

`text_list`

  Type: A list of `ECalComponentText*`

  List of `ECalComponentText` structures.

  The data is owned by the caller of the method.